Cocos Creator 3.2.0 鸿蒙 Preview 版本发布

3.2 版本来了,本次更新带来了鸿蒙平台的支持,以及字节平台 PhysX 的接入,欢迎大家体验与试用,另外,在此征集准备发布鸿蒙平台或使用 PhysX 物理引擎的游戏项目,我们可以提供免费的技术支持和优化建议。以下是本次版本更新内容

支持构建 HarmonyOS 应用

在 3.2 版本,Creator 将支持一键将游戏打包为 HarmonyOS 应用,在配置 HarmonyOS SDK 与 NDK 路径后,可在构建面板选择 HarmonyOS 一键打包,详细操作请参考文档 发布 HarmonyOS 应用在 DevEco(鸿蒙IDE)版本升级到最新后,可能会遇到一些配置修改的问题,可参考此文档升级,适配历史工程

字节跳动小游戏支持使用平台提供的 PhysX 能力

字节跳动平台一直致力于为开发者提供最强大的性能和基础能力,因此抖音将在 16.3 之后版本为小游戏提供 PhysX 原生物理接口,而 Creator 与字节跳动平台进行了深度合作,在 3.2 中以实验性功能支持在字节小游戏中使用平台提供的 PhysX 物理能力,优化物理运算性能,对比 Bullet 有近 100% 的性能提升。

升级说明

从 < 3.1.0 版本升级

  • 从 v3.1 开始,UITransform 组件的 priority 属性已弃用,若需要调整节点树的顺序请使用 setSiblingIndex 方法。在 v3.1 之前通过代码创建并依赖 priority 属性的节点可能会出现节点树表现和之前不一致的问题,请手动调整。
  • RenderTexture 在不同平台上会出现正反不一致的情况,为了解决这个问题,Creator 为 effect 新增了 SAMPLE_FROM_RT 宏,在使用 RenderTexture 时,需要将 SAMPLE_FROM_RT 宏设置为 true,各后端便会统一适配至正确的效果。

从 < 2.4.5 版本升级

Cocos Creator 3.x 版本已经正式发布,2.4 版本将做为 LTS(长期支持)版本,提供后续 两年 的持续更新!在 2021 年,2.4 将继续更新版本,提供缺陷修复和新的小游戏平台支持,保障大家的项目成功上线;在 2022 年我们还将为开发者持续提供 2.4 的关键问题修复,保障已上线的游戏平稳运营!因此,

  • 现有的 2.x 项目可以安心继续开发,无需强制升级 3.0
  • 现有的 2.x 项目因项目需求如想升级到 3.x ,可以使用 Creator 提供的 2.x 资源导入工具 。此工具将支持旧项目资源完美导入,以及代码的辅助导入。代码辅助导入会把 js 转换成 ts,添加组件类型声明、属性声明及函数声明,组件在场景中的引用都会得到保留,并且函数内部的代码会以注释的形式导入进来,可以减轻开发者的升级难度。详细的升级说明请参考 升级指南
  • 新项目则建议使用 3.0 版本开发 ,我们会不断优化 3.0 的开发体验和运行效率,支撑好 2D、3D 等不同品类的重度游戏顺利上线。

Cocos Creator 对项目的升级操作是不可逆的,请在升级前提交或备份旧版项目。绝大多数项目通常都能自动升级,但因为项目难免存在特殊性,开发者应该根据项目自身需求,提前对新版本引擎进行试用和评估。此外,出于稳定性考虑,建议即将上线或已上线的项目谨慎升级。如果开发者们在升级中遇到困难,欢迎向我们反馈,我们会尽力协助。

下载地址:

Win: https://download.cocos.com/CocosCreator/v3.2.0/CocosCreator-v3.2.0-preview.1-win32-060214.zip
Mac: https://download.cocos.com/CocosCreator/v3.2.0/CocosCreator-v3.2.0-preview.1-darwin-060214.zip

7赞

咋不放到Dashboard里呢

还不是正式版本

laya有这效率多好

可以手动添加:

希望赶紧加入像unity那样可调试面板。
现在调试物理太老火了。

Cocos牛逼!

666 支持国产操作系统

赛博demo哪里下载?

AudioSource播放音频不能监听音乐播放结束事件,这个问题有没有解决?

厉害啊 这么快就支持了 国产强大 加油

黑夜版赛博 demo 的美术资源是我们从商店里买来自己玩的,美术资源的授权许可是只能自用,不能做二次分发,所以就无法对外放咯。白天版的赛博美术资源是外包定制的,目前还只有场景,角色动作还没做完,还需要等一阵子才能外放

1赞

好的好的。

会在下个版本支持

2.4.X会支持 支持构建 HarmonyOS 应用吗?

动作很快,支持

2.4.x有没有计划鸿蒙支持